Bug 807506 - word breaks are incorrect in translation editor using Chrome
word breaks are incorrect in translation editor using Chrome
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 22:15 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121012-0031)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (220.51 KB, image/png)
2012-05-11 02:21 EDT, Joyce Chang
no flags Details

  None (edit)
Description Joyce Chang 2012-03-27 22:15:27 EDT
Description of problem:

Line-breaking within words are incorrect in source content of translator editor ,some letters with in a word are split to next line and this reduces readability. 

How reproducible:
always

Steps to Reproduce:
1.click "Projects" 
2.click one project on project lists
3.click version and locale
4.translation editor are open
  
Actual results:
word break is incorrect 


Expected results:
every letter of a word should show appropriately instead of being split 

Additional info:

see attachment
Comment 1 Joyce Chang 2012-05-11 02:21:33 EDT
Created attachment 583744 [details]
screenshot

firefox doesn't seem to have this problem
Comment 2 Runa Bhattacharjee 2012-07-30 09:21:06 EDT
Is this still a problem? Thanks.
Comment 3 Patrick Huang 2012-09-25 01:37:33 EDT
(In reply to comment #2)
> Is this still a problem? Thanks.

With 2.0 new implementation this is no longer a problem.
Please note:
For extra lone word (i.e. url) that can not be wrap or break naturally, it will wrap the word into two lines. But in 2.0 we will have line numbers showing on the side so this will not mislead users.
Comment 4 Ding-Yi Chen 2012-10-14 22:43:20 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121012-0031) ON
  Firefox ESR 10.0.6
  Google Chrome 15.0.874.121
Comment 5 Sean Flanigan 2012-11-07 01:18:53 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.